Subject: Re: [bug#37224] [PATCH 0/4] Add 'archival' checker for 'guix lint'

From: zimoun <[email-masked]>
Date: Wed, 11 Sep 2019 12:20:27 +0200

Hi,

Nice !
And it is so aligned with their recent announcement [1] ;-)

[1] https://www.softwareheritage.org/2019/08/05/saving-and-referencing-research-software-in-software-heritage/

On Fri, 30 Aug 2019 at 01:18, Ludovic Courtès <[email-masked]> wrote:

> Currently, only 25% of our packages are not fetched with ‘url-fetch’.
> For the remaining 75%, this checker can only report whether the tarball
> is missing (and apart from ftp.gnu.org and a few other exceptions, it
> usually _is_ missing) and cannot actually save it.

Maybe I miss something, but for example guile-2.0 is not yet archived.
I am not able to find it with their search resources. And `guix lint
-c archival [email-masked]' reports "[email-masked]: source not archived on
Software Heritage".

> Anyway, it’s a first step in that direction.  Feedback welcome!

I agree with the words on #swh-deve by olasd (Nicolas Dandrimont) from
SWH that the automatic "save" should be optional (even if the default
is save=true).

> The second step will be to write a “lister” for Software Heritage that
> grabs the list of source code URLs from
> <https://guix.gnu.org/packages.json>.  That could would run at SWH
> and it could potentially grab the tarballs, not just the VCS checkouts.
> Here’s are examples:
>
>   https://forge.softwareheritage.org/source/swh-lister/browse/master/swh/lister/packagist/lister.py
>   https://forge.softwareheritage.org/source/swh-lister/browse/master/swh/lister/gnu/lister.py
>
> It should be quite easy for a Pythonista to write something similar
> for our ‘packages.json’.  Any takers?  :-)

I am not sure to understand all but I will give a look... I am reading
their GSoC about this topic [2].

[2] https://wiki.softwareheritage.org/wiki/Google_Summer_of_Code_2019/Increase_archive_coverage

All the best,
simon